MacOS 10.15 Catalina no longer support MetaTrader 4


Please beware that with the release of the new version of the system, called Catalina, Apple decided to end the support for all 32-bit applications.

Since MetaTrader 4 is running natively in 32-bit and there is no 64-bit version, this means that MetaTrader 4 application is no longer supported on the new MacOS.

Unfortunately, there is no current solution to solve this issue.

MacOS 10.14 Mojave is the last version that support 32-bit applications. If you wish to keep using MetaTrader 4 on your Mac, your only solution is to not update your computer to Catalina.